# API: Records

| Method | Path | What it does | Scope |
|---|---|---|---|
| GET | `/v1/search/records` | Find records by name across every object (accounts, contacts, deals, leads, tasks and custom objects), for the command palette: the best few, names starting with the query first | `search:read` |

## Examples

### GET /v1/search/records

Find records by name across every object (accounts, contacts, deals, leads, tasks and custom objects), for the command palette: the best few, names starting with the query first

```bash
curl -s "https://api.closefinch.com/v1/search/records" \
  -H "Authorization: Bearer $RA_API_KEY"
```

```js
const res = await fetch(`https://api.closefinch.com/v1/search/records`, {
  method: "GET",
  headers: { authorization: `Bearer ${process.env.RA_API_KEY}` },
});
const data = await res.json();
```

Request and response schemas: [https://www.closefinch.com/openapi.json](https://www.closefinch.com/openapi.json). All resources: [API reference](https://www.closefinch.com/docs/api).
